As I expected this is the actual go build that breaks.
The package atm is also FTBFS in focal with the same error.

Buildlog: http://paste.ubuntu.com/p/dfYqvVhVBh/

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nspr in Ubuntu.
https://bugs.launchpad.net/bugs/1851695

Title:
  DEP8 failure/regression in nspr on arm64 and armhf

Status in notary package in Ubuntu:
  New
Status in nspr package in Ubuntu:
  New

Bug description:
  nspr 0.6.1~ds1-4 is failing DEP8 test in arm64 and armhf:

  
  autopkgtest [09:46:25]: test command1: /usr/bin/dh_golang_autopkgtest
  autopkgtest [09:46:25]: test command1: [-----------------------
  [info] Testing github.com/theupdateframework/notary...
  [info] Source code installed by binary package, overriding 
dh_auto_configure...
  [info] Disabling existing override_dh_auto_configure...
  dh build --builddirectory=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build \
        --buildsystem=golang \
        --with=golang
     dh_update_autotools_config 
-O--builddirectory=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build 
-O--buildsystem=golang
     dh_autoreconf 
-O--builddirectory=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build 
-O--buildsystem=golang
     debian/rules override_dh_auto_configure
  make[1]: Entering directory '/tmp/autopkgtest.G91v24/autopkgtest_tmp'
  mkdir -p "_build"
  cp -a /usr/share/gocode/src "_build"
  make[1]: Leaving directory '/tmp/autopkgtest.G91v24/autopkgtest_tmp'
     debian/rules override_dh_auto_build
  make[1]: Entering directory '/tmp/autopkgtest.G91v24/autopkgtest_tmp'
  dh_auto_build -- -tags "pkcs11"
        cd _build && go install 
-gcflags=all=\"-trimpath=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src\" 
-asmflags=all=\"-trimpath=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src\" 
-v -p 1 -tags pkcs11 github.com/theupdateframework/notary 
github.com/theupdateframework/notary/client 
github.com/theupdateframework/notary/client/changelist 
github.com/theupdateframework/notary/cmd/escrow 
github.com/theupdateframework/notary/cmd/notary 
github.com/theupdateframework/notary/cmd/notary-server 
github.com/theupdateframework/notary/cmd/notary-signer 
github.com/theupdateframework/notary/cryptoservice 
github.com/theupdateframework/notary/passphrase 
github.com/theupdateframework/notary/proto 
github.com/theupdateframework/notary/server 
github.com/theupdateframework/notary/server/errors 
github.com/theupdateframework/notary/server/handlers 
github.com/theupdateframework/notary/server/snapshot 
github.com/theupdateframework/notary/server/storage 
github.com/theupdateframework/notary/server/timestamp 
github.com/theupdateframework/notary/signer 
github.com/theupdateframework/notary/signer/api 
github.com/theupdateframework/notary/signer/client 
github.com/theupdateframework/notary/signer/keydbstore 
github.com/theupdateframework/notary/storage 
github.com/theupdateframework/notary/storage/rethinkdb 
github.com/theupdateframework/notary/trustmanager 
github.com/theupdateframework/notary/trustmanager/remoteks 
github.com/theupdateframework/notary/trustmanager/yubikey 
github.com/theupdateframework/notary/trustpinning 
github.com/theupdateframework/notary/tuf 
github.com/theupdateframework/notary/tuf/data 
github.com/theupdateframework/notary/tuf/signed 
github.com/theupdateframework/notary/tuf/testutils 
github.com/theupdateframework/notary/tuf/testutils/interfaces 
github.com/theupdateframework/notary/tuf/testutils/keys 
github.com/theupdateframework/notary/tuf/utils 
github.com/theupdateframework/notary/tuf/validation 
github.com/theupdateframework/notary/utils 
github.com/theupdateframework/notary/version
  src/github.com/docker/distribution/digestset/set.go:9:2: cannot find package 
"github.com/opencontainers/go-digest" in any of:
        
/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src/github.com/docker/distribution/vendor/github.com/opencontainers/go-digest
 (vendor tree)
        /usr/lib/go-1.12/src/github.com/opencontainers/go-digest (from $GOROOT)
        
/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src/github.com/opencontainers/go-digest
 (from $GOPATH)
  src/github.com/docker/distribution/blobs.go:13:2: cannot find package 
"github.com/opencontainers/image-spec/specs-go/v1" in any of:
        
/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src/github.com/docker/distribution/vendor/github.com/opencontainers/image-spec/specs-go/v1
 (vendor tree)
        /usr/lib/go-1.12/src/github.com/opencontainers/image-spec/specs-go/v1 
(from $GOROOT)
        
/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src/github.com/opencontainers/image-spec/specs-go/v1
 (from $GOPATH)
  dh_auto_build: cd _build && go install 
-gcflags=all=\"-trimpath=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src\" 
-asmflags=all=\"-trimpath=/tmp/autopkgtest.G91v24/autopkgtest_tmp/_build/src\" 
-v -p 1 -tags pkcs11 github.com/theupdateframework/notary 
github.com/theupdateframework/notary/client 
github.com/theupdateframework/notary/client/changelist 
github.com/theupdateframework/notary/cmd/escrow 
github.com/theupdateframework/notary/cmd/notary 
github.com/theupdateframework/notary/cmd/notary-server 
github.com/theupdateframework/notary/cmd/notary-signer 
github.com/theupdateframework/notary/cryptoservice 
github.com/theupdateframework/notary/passphrase 
github.com/theupdateframework/notary/proto 
github.com/theupdateframework/notary/server 
github.com/theupdateframework/notary/server/errors 
github.com/theupdateframework/notary/server/handlers 
github.com/theupdateframework/notary/server/snapshot 
github.com/theupdateframework/notary/server/storage 
github.com/theupdateframework/notary/server/timestamp 
github.com/theupdateframework/notary/signer 
github.com/theupdateframework/notary/signer/api 
github.com/theupdateframework/notary/signer/client 
github.com/theupdateframework/notary/signer/keydbstore 
github.com/theupdateframework/notary/storage 
github.com/theupdateframework/notary/storage/rethinkdb 
github.com/theupdateframework/notary/trustmanager 
github.com/theupdateframework/notary/trustmanager/remoteks 
github.com/theupdateframework/notary/trustmanager/yubikey 
github.com/theupdateframework/notary/trustpinning 
github.com/theupdateframework/notary/tuf 
github.com/theupdateframework/notary/tuf/data 
github.com/theupdateframework/notary/tuf/signed 
github.com/theupdateframework/notary/tuf/testutils 
github.com/theupdateframework/notary/tuf/testutils/interfaces 
github.com/theupdateframework/notary/tuf/testutils/keys 
github.com/theupdateframework/notary/tuf/utils 
github.com/theupdateframework/notary/tuf/validation 
github.com/theupdateframework/notary/utils 
github.com/theupdateframework/notary/version returned exit code 1
  make[1]: Leaving directory '/tmp/autopkgtest.G91v24/autopkgtest_tmp'
  make[1]: *** [debian/rules:25: override_dh_auto_build] Error 255
  make: *** [debian/rules:12: build] Error 2
  autopkgtest [09:46:36]: test command1: -----------------------]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/notary/+bug/1851695/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to